Name:           convertall
Version:        0.5.2
Release:        %mkrel 1

Summary:        Graphical Unit Converter
License:        GPLv2+
URL:            http://convertall.bellz.org/
Group:          Office
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source1:        http://downloads.sourceforge.net/%{name}/%{name}-i18n-%{version}a.tar.xz
Patch0:         python-bytecode-inconsistent-mtime_fix.patch
BuildRequires:  python-qt4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires: 	python-qt4 aspell

%description
With ConvertAll, you can combine the units any way you want. If you want to
convert from inches per decade, that's fine. Or from meter-pounds. Or from
cubic nautical miles. The units don't have to make sense to anyone else.

%prep
%setup -q -n ConvertAll -b1
%patch0

%build

%install
rm -rf $RPM_BUILD_ROOT
python install.py -p %{_prefix} -d %{_datadir}/doc/packages/%{name} -i \
%{_datadir}/%{name}/icons -b $RPM_BUILD_ROOT
chmod 755 $RPM_BUILD_ROOT%{_prefix}/lib/%{name}/*.py

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Convertall
GenericName=Unit Converter
Comment=Convert between various units
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Qt;Office;X-MandrivaLinux-Office-Accessories;
EOF


# Install icons
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/{16x16,32x32,64x64,scalable}/apps
install -pm 0644 icons/convertall_sm.png \
$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -pm 0644 icons/convertall_med.png \
$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -pm 0644 icons/convertall_lg.png \
$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
install -pm 0644 icons/convertall.svg \
$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

# Gnome3 icon fix
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/%{name}.png \
$RPM_BUILD_ROOT%{_datadir}/pixmaps
convert $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png -resize 48x48 \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png


# Remove 
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/packages/%{name}/INSTALL
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/icons/\
{convertall.svg,convertall_lg.png,convertall_med.png,convertall_sm.png}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc %{_datadir}/doc/packages/%{name}
%{_bindir}/%{name}
%{_prefix}/lib/%{name}/*.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/icons/
%{_datadir}/pixmaps/*.png
%{_datadir}/%{name}/units*
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_prefix}/lib/%{name}/translations/


%changelog
* Thu Jun 06 2013 Ken <lxgator at gmail.com> 0.5.2-1pclos2013
- import spec
